/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/
#include "kaddressvalidator.h"
#include <kmessagebox.h>

void KAddDNSServerDlg::init()
{
  makeButtonsResizeable();    
}    

void KAddDNSServerDlg::validateAddressSlot()
{
  if (KAddressValidator::isValidIPAddress(kleNewServer->text()))
    close();
  else
  {
    KMessageBox::error(this,i18n("The format of the specified IP address is not valid."),i18n("Invalid IP address"));
    kleNewServer->clear();
  }  

}


void KAddDNSServerDlg::makeButtonsResizeable()
{
  kpbAddServer->setAutoResize(true);
  kpbCancel->setAutoResize(true);
}
